Package org.eclipse.emf.compare.rcp.internal.postprocessor

# Class PostProcessorDescriptor

java.lang.Object
org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor<IPostProcessor>
org.eclipse.emf.compare.rcp.internal.postprocessor.PostProcessorDescriptor

All Implemented Interfaces:
  `IPostProcessor.Descriptor`

public class PostProcessorDescriptor extends PluginClassDescriptor<IPostProcessor> implements IPostProcessor.Descriptor
Describes an extension as contributed to the "org.eclipse.emf.compare.rcp.postProcessor" extension point.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.postprocessor.IPostProcessor.Descriptor

`IPostProcessor.Descriptor.Registry<K>`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor

`attributeName, element`

## Constructor Summary

Constructors
Constructor
Description
`PostProcessorDescriptor(org.eclipse.core.runtime.IConfigurationElement element, Pattern nsURI, Pattern resourceURI)`
Creates a descriptor corresponding to the information of the given element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getInstanceClassName()`
Returns the class name of the instance that will be returned by `IPostProcessor.Descriptor.getPostProcessor()`.
`Pattern`
`getNsURI()`
Returns the pattern of namespace URI on which this post processor can be applied.
`int`
`getOrdinal()`
Returns the ordinal of this post processor.
`IPostProcessor`
`getPostProcessor()`
Returns the wrapped post processor.
`Pattern`
`getResourceURI()`
Returns the pattern of resource URI on which this post processor can be applied.
`void`
`setOrdinal(int r)`
Set the ordinal of this post processor.

### Methods inherited from class org.eclipse.emf.compare.rcp.extension.PluginClassDescriptor

`createInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PostProcessorDescriptor

public PostProcessorDescriptor(org.eclipse.core.runtime.IConfigurationElement element, Pattern nsURI, Pattern resourceURI)
Creates a descriptor corresponding to the information of the given element.

Parameters:
  `element` - Configuration element from which to create this descriptor.
  `nsURI` - The pattern of namespace URI on which this post processor can be applied.
  `resourceURI` - The pattern of resource URI on which this post processor can be applied.

## Method Details

### getNsURI

public Pattern getNsURI()
Returns the pattern of namespace URI on which this post processor can be applied.

Specified by:
  `getNsURI` in interface `IPostProcessor.Descriptor`
Returns:
  The namespace URI pattern.
See Also:
  - `org.eclipse.emf.compare.postprocessor.IPostProcessor#getNsURI()`

### getResourceURI

public Pattern getResourceURI()
Returns the pattern of resource URI on which this post processor can be applied.

Specified by:
  `getResourceURI` in interface `IPostProcessor.Descriptor`
Returns:
  The resource URI.
See Also:
  - `org.eclipse.emf.compare.postprocessor.IPostProcessor#getResourceURI()`

### getPostProcessor

public IPostProcessor getPostProcessor()
Returns the wrapped post processor.

Specified by:
  `getPostProcessor` in interface `IPostProcessor.Descriptor`
Returns:
  the wrapped post processor
See Also:
  - `IPostProcessor.Descriptor.getPostProcessor()`

### getInstanceClassName

public String getInstanceClassName()
Returns the class name of the instance that will be returned by `IPostProcessor.Descriptor.getPostProcessor()`.

Specified by:
  `getInstanceClassName` in interface `IPostProcessor.Descriptor`
Returns:
  the class name of the instance that will be returned by `IPostProcessor.Descriptor.getPostProcessor()`.
See Also:
  - `IPostProcessor.Descriptor.getInstanceClassName()`

### getOrdinal

public int getOrdinal()
Returns the ordinal of this post processor.

Specified by:
  `getOrdinal` in interface `IPostProcessor.Descriptor`
Returns:
  The ordinal.
See Also:
  - `IPostProcessor.Descriptor.getOrdinal()`

### setOrdinal

public void setOrdinal(int r)
Set the ordinal of this post processor.

Specified by:
  `setOrdinal` in interface `IPostProcessor.Descriptor`
Parameters:
  `r` - The ordinal.
See Also:
  - `IPostProcessor.Descriptor.setOrdinal(int)`